• Resolved

CCS5.4.0.00091_linux bios_mcsdk problem

Hello,

I install the new CCS5.4.0.00091_linux but when I try to install bios_mcsdk_02_01_02_06_setuplinux I get the following error:

Operation details
  Your original request has been modified.
    "SYS/BIOS (IDE Client)" will be ignored because a newer version is already installed.
    "Third-Party Components for GMF Runtime" will be ignored because a newer version is already installed.
    "RTSC/XDCtools (IDE Client)" will be ignored because a newer version is already installed.
  Cannot complete the install because some dependencies are not satisfiable
    com.ti.biosmcsdk.pdk.C6670.p2.feature.group [1.1.2.6] cannot be installed in this environment because its filter is not applicable.

Install logs: 2555.debugserver_5.4.0.279_install.log

If it is a bios_mcsk team bug, please redirect to them.



  • Guru 130905 points

    Hi Iiya,

    have you tried adding the package using Window->Preferences->code composer studio->RTSC->products?  This is a better way to manage your mcsdk and bios versions.   There are dependancies you do need to be careful with ... but if specific questions on those arise I recommend the bios forum.

    Also note since you are running linux .. we have found updates and packages should be installed with the same permissions and account used to install ccs.  ie if you installed ccs as user .. also do the udpates as user.  the main thing in consistancy.

    Please keep us informed.

    Best Regards,
    Lisa

  • In reply to Lisa TI:

    Hi Lisa,

    i think it is the same problem like in this post:

    Link

  • In reply to Mehly:

    Hello, Mehly

    You are right. The problem is the same. Exactly. I couldn't install pdk_c6678 library. There is a log when I try to install it. And some other components has the same behaviour.

    Operation details
      Cannot complete the install because some dependencies are not satisfiable
        com.ti.biosmcsdk.pdk.C6678L.p2.feature.group [1.1.2.6] cannot be installed in this environment because its filter is not applicable.

    Should I open the new one task?

  • In reply to Lisa TI:

    Hello, Lisa,

    Thank you for your help. But could you try to reproduce the problem on you own environment?

    You need to do the following steps for that:

    Remove old version Code Composer
    Install the brand new version of CCS (5.4.00091 for now)
    Install the last one bios-mcsdk version
    And try to add pdk_c6678 in RTSC products and get an error

    With best Regards, Ilya.

  • In reply to Ilya Shcherbak:

    I try to install it on Windows 7 system and have success. Everything is fine. I suggest that it's a bug in linux build.

  • Guru 130905 points

    In reply to Ilya Shcherbak:

    Hi Ilya,

    have you tried from Window-PReferences-code composer studio-rtsc-products?

    I only have Ubuntu here so have limited resources to try this myself.  I can confirm that we are investigating mcsdk update issues at the moment but hopefully an independent installation should be fine.

    Please keep us informed.

    Best Regards,
    Lisa

  • In reply to Lisa TI:

    Hello Lisa,

    Yes, I tried it. But have no result. Some products didn't add in product list some one successfuly add. Such as ndk, pdk, was failed.

    With best Regards, Ilya

  • In reply to Ilya Shcherbak:

    I also hit the same problem. I am using UBUNTU 12.04. Anyone found the solution. 

  • In reply to manisha:

    Manisha, Llya, could you try to install in another path? not the default one which if I remember correctly was c:/TI... you can try to install on your user (for example c:/home/pcarrillo/ti..). Let me know if this helps.

    thanks,

    Paula 

  • In reply to Paula Carrillo:

    Paula,

    I have installed it in my /home/user/MCSDK dierctory and not the default ti directory and it shows the error mentioned above when launching CCS.

    Regards,

    Manisha